<script setup lang="ts">
import { useAuthStore } from '@/stores/auth'
import { computed, inject, onMounted, ref, type Ref } from 'vue'

const rail = inject<Ref<boolean>>('rail')
const order = ref(0)

const authStore = useAuthStore()

const getUserAvatar = () => {
  const currentUser = authStore.getCurrentUser()
  if (currentUser && currentUser.image) {
    return `http://localhost:3000/images/users/${currentUser.image}`
  }

  return 'http://localhost:3000/images/users/noimage.jpg'
}
</script>

<template>
  <v-app-bar
    :order="order"
    color="#412F26"
    title="Aqueous Coffee"
    density="compact"
    height="70"
    flat
  >
    <template v-slot:prepend>
      <v-avatar size="47" @click.stop="rail = !rail">
        <v-img src="./img/logo/logo_white_bold.png"></v-img>
      </v-avatar>

      <!-- <div v-if="rail" class="text-center mt-5 mb-5">
        <v-avatar size="47" @click.stop="rail = !rail">
          <v-img src="./img/logo/logo_white_bold.png"></v-img>
        </v-avatar>
      </div> -->
    </template>
    <template v-slot:append>
      <div v-if="rail">
        <v-list-item
          :prepend-avatar="getUserAvatar()"
          :title="authStore.getCurrentUser()?.name"
          :subtitle="authStore.getCurrentUser()!.role.name"
          nav
        >
        </v-list-item>
      </div>

      <v-switch v-model="order" false-value="0" true-value="-1" hide-details inset></v-switch>
    </template>
  </v-app-bar>
</template>
